Name:           packETH
Version:        1.7
Release:        1%{?dist}
Summary:        A GUI packet generator tool

Group:          Applications/Internet
License:        GPLv2+
URL:            http://sourceforge.net/projects/packeth/
Source0:        http://downloads.sourceforge.net/packeth/%{name}-%{version}.tar.xz
Source1:        packETH.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel


%description
packETH is a Linux GUI tool that is able to send any packet or sequence of 
packets on the Ethernet. It uses the RAW socket option, so it doesn't care 
about ip, routing, etc. It is designed to have all the options available, 
with all the correct and incorrect values (incorrect means, that user can 
send wrong parameters like: incorrect checksum, wrong header length, etc.).


%prep
%setup -q


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} INSTALL="%{_bindir}/install -p" install 

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
X-MultipleArgs=false
Type=Application
Encoding=UTF-8
Name=packETH
GenericName=GUI packet generator tool
Comment=GUI packet generator tool
Exec=/usr/bin/packETH
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Internet-FileTransfer;Network;
EOF


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/packeth


%changelog
* Thu Apr 12 2012 Neal <nealbrks0 at gmail.com> 1.7-1pclos2012
- rename specfile to pclos-packETH.spec
- convert source to tar.xz
- process

* Sun Apr 08 2012 Agent Smith <ruidobranco@yahoo.com.br> 1.7-1pclos2012
- Initial Package 

